Skip to main content
GET
List add-ons for the current store

Authorizations

x-api-key
string
header
default:sfk_your_api_key
required

Storefront API key (sfk_...)

Query Parameters

page
number
default:1

Page number for pagination (1-indexed)

Required range: x >= 1
Example:

1

take
number
default:50

Number of items to return per page. Maximum allowed value is 100.

Required range: 1 <= x <= 100
Example:

50

q
string

Search query to filter add-ons by title or slug

Example:

"child seat"

status
enum<string>[]

Filter add-ons by status (accepts one or more statuses)

Available options:
active,
inactive
Example:
productId
string

Filter add-ons by product ID (only return add-ons attached to this product)

Example:

"123e4567-e89b-12d3-a456-426614174000"

locationId
string

Filter add-ons by location ID (only return add-ons available at this location)

Example:

"123e4567-e89b-12d3-a456-426614174000"

staffMemberId
string

Filter add-ons by staff member ID (only return add-ons available with this staff member)

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

200 - application/json

List of add-ons for the current store

data
object[]
required
meta
object
required
Last modified on July 26, 2026